@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0

ECHO 不要なファイルを削除します。
		IF EXIST	.vs\				RMDIR /S /Q	.vs\
		IF EXIST	obj\				RMDIR /S /Q	obj\
REM #//		IF EXIST	bin\Debug\*.pdb			DEL		bin\Debug\*.pdb			⇒〜.pdbは削除してはいけない。理由は/clip/libclip/README.TXTの「Wed Feb 24 21:12:31 JST 2016 Naoyuki Sawa」のコメントを参照せよ。
REM #//		IF EXIST	bin\Debug\*.dll			DEL		bin\Debug\*.dll			⇒必要なファイルは残す事にした。削除する時は手で削除して下さい。
		IF EXIST	bin\Debug\DxLibDotNet.dll	DEL		bin\Debug\DxLibDotNet.dll	⇒参照設定したdllがbinフォルダ内にコピーされるので、削除します。
		IF EXIST	bin\Release\*.pdb		DEL		bin\Release\*.pdb
REM #//		IF EXIST	bin\Release\*.dll		DEL		bin\Release\*.dll		⇒必要なファイルは残す事にした。削除する時は手で削除して下さい。
		IF EXIST	bin\Release\DxLibDotNet.dll	DEL		bin\Release\DxLibDotNet.dll	⇒参照設定したdllがbinフォルダ内にコピーされるので、削除します。

		IF EXIST	00_test\bin\			RMDIR /S /Q	00_test\bin\
		IF EXIST	00_test\obj\			RMDIR /S /Q	00_test\obj\
REM #//		IF EXIST	00_test\00_test.csproj.user	RMDIR /S /Q	00_test\00_test.csproj.user	⇒デバッグの作業ディレクトリの設定が格納されているので削除しない事にしました。C#のプロジェクトではデバッグの作業ディレクトリの既定値がプロジェクトフォルダではなくbinフォルダになるようで、カレントフォルダから何かファイルを読み込むようなプログラムのデバッグでは作業ディレクトリの設定がほぼ必須だからです。このファイルにはコンパイルの設定は格納されていないようなので最終的には削除しても構いません。
